/*
	ちょちょいとえりそぉで作成したリソース画像を取り出すためのサンプル	Ver 2.00
	Sample code for extracting images from resource created by Chochoito Eriso Ver 2.00
	by ＳＨＩＮＴＡ
	by SHINTA
*/

#include <Bitmap.h>
#include <TranslationUtils.h>

//------------------------------------------------------------------------------
void	TMyView::Sample()
{
	BBitmap	*xBmp;

	// リソースIDを元に画像を得る
	// Getting an image by rsrc ID
	xBmp = BTranslationUtils::GetBitmap(B_RAW_TYPE,100 /* Rsrc ID */);
	if ( xBmp == NULL ) {
		return;
	}
	DrawBitmap(xBmp,BPoint(0,0));
	delete xBmp;
	
	// リソース名を元に画像を得る
	// Getting an image by rsrc name
	xBmp = BTranslationUtils::GetBitmap(B_RAW_TYPE,"MyImage" /* Rsrc Name */);
	if ( xBmp == NULL ) {
		return;
	}
	DrawBitmap(xBmp,BPoint(0,50));
	delete xBmp;
}
//------------------------------------------------------------------------------
